## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0.post0
# With maintainer modifications

# Do not edit this spec file. (Re-)Generate using newrelease

%bcond check 1

# **** release metadata ****
# populated by envsubst in newrelease
%global crt_name                cri-tools1.30
%global crt_ver                 1.30.1

# https://github.com/kubernetes-sigs/cri-tools
%global goipath         github.com/kubernetes-sigs/cri-tools
Version:                %{crt_ver}

%gometa -L -f

%global common_description %{expand:
CLI and validation tools for Kubelet Container Runtime Interface (CRI) .}

Name:           %{crt_name}
Release:        %autorelease
Summary:        CLI and validation tools for Kubelet Container Runtime Interface (CRI)

# Generated by go-vendor-tools
License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND CC-BY-SA-4.0 AND ISC AND MIT
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml

BuildRequires:  go-vendor-tools
BuildRequires:  go-md2man

# set provides and conflicts to help package manager
# when working with multiple versioned cri-tools rpms
Provides:       cri-tools = %{version}
Conflicts:      cri-tools

%description %{common_description}

%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}

%build
export GO_BUILDTAGS="selinux seccomp"

# the export below fixes the crictl -v unknown version result
export GO_LDFLAGS="-X %{goipath}/pkg/version.Version=%{version}"

%gobuild -o %{gobuilddir}/bin/crictl %{goipath}/cmd/crictl
go-md2man -in docs/crictl.md -out docs/crictl.1

%install
# vendor license files
%go_vendor_license_install -c %{S:2}

# install binaries
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

# install manpage
install -dp %{buildroot}%{_mandir}/man1
install -p -m 644 docs/crictl.1 %{buildroot}%{_mandir}/man1

%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
%gocheck
%endif

%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc CHANGELOG.md CONTRIBUTING.md RELEASE.md code-of-conduct.md README.md
%doc docs/{benchmark.md,roadmap.md,validation.md}
%{_bindir}/crictl
%{_mandir}/man1/crictl*.1*

%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.30.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Aug 12 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 1.30.1-2
- Update README.title

* Mon Aug 12 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 1.30.1-1
- Initialize complete v1.30 repository

* Mon Aug 12 2024 Bradley G Smith <bradley.g.smith@gmail.com>
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
